> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Accept External



## OpenAPI

````yaml /openapi.json post /v1/auth/collaborations/accept-external
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/auth/collaborations/accept-external:
    post:
      tags:
        - Collaboration Auth
      summary: Accept External
      operationId: CollaborationAuthController_acceptExternal_v1
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AcceptCollabExternalDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollabAuthResponseDto'
components:
  schemas:
    AcceptCollabExternalDto:
      type: object
      properties:
        token:
          type: string
          minLength: 64
          maxLength: 64
      required:
        - token
    CollabAuthResponseDto:
      type: object
      properties:
        accessToken:
          type: string
        refreshToken:
          type: string
        collabId:
          type: string
      required:
        - accessToken
        - refreshToken
        - collabId

````